Subject: Re: [BUG?] Confusion with git stash list

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Jul 2023 09:33:26 -0700

Chris Torek <[email-masked]> writes:

> On Fri, Jul 21, 2023 at 9:05 AM <[email-masked]> wrote:
>> It is simple to set up. You do need at least one stash, but the contents are
>> irrelevant. So given any repository, use git stash push. Then use git stash
>> list --all.
>
> The `git stash list` command is secretly just a front end to `git log`
> that inserts particular options, so `--all` is passed to `git log` and
> does what it does. That's why you see what you see (remember
> that `git stash list` includes `-g` / `--walk-reflogs` so `--all` here
> means "all reflogs").
>
> Whether this is *intended* is another question, but to stop it,
> `git stash` would have to notice and alter / remove `--all` before
> passing the rest of the command on to `git log`.

I do not think it was intended, but falls within the realm of "do
not do it, if it hurts" ;-)